Browser Support Matrix

As an online system, Blackboard Learn relies heavily on the technology within your browser to function properly. New browsers and browser version are changing rapidly, so please refer to the following chart to make sure that the browser you are using is supported by Blackboard. If you use a browser that is not listed below, Blackboard may not function properly.

Computers Running Microsoft® Windows® Operating Systems:


Internet Explorer 9 Internet Explorer 8 Firefox (Final Release Channel) Firefox 3.6 Chrome (Stable Channel)
Windows XP (32-bit) Unsupported Compatible Compatible Compatible Compatible
Windows Vista (32-bit) Certified Compatible Certified Compatible Compatible
Windows Vista (64-bit) Compatible Compatible Compatible Compatible Compatible
Windows 7 (32-bit) Certified Compatible Certified Compatible Certified
Windows 7 (64-bit) Compatible Compatible Compatible Compatible Compatible

Certified: fully tested and supported. 
Compatible: partially tested but should function properly. 
Provisional: testing and support are pending.
Unsupported: either impossible or not tested. 

Computers Running Apple® Mac OS® Operating System:


Safari 5.1 Safari 5 Firefox (Final Release Channel) Firefox 3.6 Chrome (Stable Channel)
Mac OSX 10.5 "Leopard" Unsupported Compatible Compatible Compatible Compatible
Mac OSX 10.6 "Snow Leopard" Compatible
Certified Certified Compatible Certified
Mac OSX 10.7 "Lion" Compatible Compatible Compatible Compatible Compatible
Mac OSX 10.8 "Mountain Lion" Provisional Provisional Provisional Provisional Provisional

Certified: fully tested and supported. 
Compatible: partially tested but should function properly. 
Provisional: testing and support are pending.
Unsupported: either impossible or not tested. 

Additional Supported Browser Features:

  • Accessibility: JAWS for Windows 11 and 12 used for accessibility testing.
  • Java: Blackboard requires the latest version of Sun JRE 6. This can be downloaded at http://java.sun.com/javase/downloads/index.jsp. JRE 7 is not supported.

Technologies Not Supported:

  • Internet Explorer 6 and Internet Explorer 7
  • Firefox 1.x, 2.0, 3.0, and 3.5
  • Safari 2.0, 3.x  (or any version on Windows)
  • Mac OSX 10.4 "Tiger"
  • Java 5